Fixes for new SCons versions.
https://sourceforge.net/p/ggt/code/1267/
https://sourceforge.net/p/ggt/code/1277/
--- SConstruct.orig	2023-03-08 19:53:26.000000000 -0600
+++ SConstruct	2023-03-08 19:53:26.000000000 -0600
@@ -627,7 +627,7 @@
 Export('baseEnv')
 
 options_cache = 'options.cache.' + distutils.util.get_platform()
-opts = Options(options_cache)
+opts = Variables(options_cache)
 AddCppUnitOptions(opts)
 AddPythonOptions(opts)
 AddBoostOptions(opts)
@@ -725,7 +725,7 @@
       subdirs.append('Test')
    SConscript(dirs = subdirs)
 
-   env = baseEnv.Copy()
+   env = baseEnv.Clone()
 
    # Build up the provides vars for the .fpc files
    provides = "gmtl"
--- Test/TestSuite/SConscript.orig
+++ Test/TestSuite/SConscript
@@ -14,7 +14,7 @@
 sources.extend(testcases_sources)
 
 # Setup the runtests executable target
-env = baseEnv.Copy()
+env = baseEnv.Clone()
 ApplyCppUnitOptions(env)
 env.Append(CPPPATH = Split('#Test/TestSuite #'))
 
--- python/SConscript.orig
+++ python/SConscript
@@ -20,7 +20,7 @@
 
 
 # Define the Python module
-env = baseEnv.Copy()
+env = baseEnv.Clone()
 
 # If using GCC, deal with ld O(n^2) algorithm.
 if env['CXX'][:3] == 'g++' and WhereIs('objcopy'):
--- tools/build/AutoDist.py.orig
+++ tools/build/AutoDist.py
@@ -109,7 +109,7 @@
 
       # Clone the base environment if we have one
       if baseEnv:
-         self.data['env'] = baseEnv.Copy()
+         self.data['env'] = baseEnv.Clone()
       else:
          self.data['env'] = Environment()
 
@@ -378,7 +378,7 @@
    """
    # Clone the base environment if we have one
    if baseEnv:
-      env = baseEnv.Copy()
+      env = baseEnv.Clone()
    else:
       env = Environment()
 
Terms Privacy Opt Out Advertise
